Package org.eclipse.birt.chart.model.impl

# Class ChartWithAxesImpl

java.lang.Object
org.eclipse.emf.common.notify.impl.BasicNotifierImpl
org.eclipse.emf.ecore.impl.BasicEObjectImpl
org.eclipse.emf.ecore.impl.EObjectImpl
org.eclipse.birt.chart.model.impl.ChartImpl
org.eclipse.birt.chart.model.impl.ChartWithAxesImpl

All Implemented Interfaces:
  `Chart`, `ChartWithAxes`, `IChartObject`, `org.eclipse.emf.common.notify.Notifier`, `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.ecore.InternalEObject`

public class ChartWithAxesImpl extends ChartImpl implements ChartWithAxes
An implementation of the model object ' Chart With Axes'.

The following features are implemented:

- `Axes`
- `Wall Fill`
- `Floor Fill`
- `Orientation`
- `Unit Spacing`
- `Rotation`
- `Reverse Category`
- `Study Layout`

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EScannableAdapterList`

## Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`org.eclipse.emf.ecore.InternalEObject.EStore`

## Field Summary

### Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`ELAST_EOBJECT_FLAG`

### Fields inherited from interface org.eclipse.birt.chart.model.Chart

`VERSION`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

## Method Summary

Modifier and Type
Method
Description
`org.eclipse.emf.common.notify.NotificationChain`
`basicSetFloorFill(Fill newFloorFill, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain`
`basicSetRotation(Rotation3D newRotation, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain`
`basicSetWallFill(Fill newWallFill, org.eclipse.emf.common.notify.NotificationChain msgs)`
`final void`
`clearSections(int iSectionType)`
This method walks through the model and clears specific model sections that are not required at deployment time.
`ChartWithAxes`
`copyInstance()`
`static final ChartWithAxes`
`create()`
A convenience method to create an initialized 'ChartWithAxes' instance Note: Manually written
`static final ChartWithAxes`
`createDefault()`
A convenience method to create an initialized 'ChartWithAxes' instance Note: Manually written
`Object`
`eGet(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain`
`eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean`
`eIsSet(int featureID)`
`void`
`eSet(int featureID, Object newValue)`
`void`
`eUnset(int featureID)`
`Axis`
`getAncillaryBaseAxis(Axis axBase)`
This method returns the ancillary base axis for a given base axis NOTE: Manually written
`org.eclipse.emf.common.util.EList<Axis>`
`getAxes()`
`final Axis[]`
`getBaseAxes()`
This method returns all base axes associated with the chart model NOTE: Manually written
`Fill`
`getFloorFill()`
`Orientation`
`getOrientation()`
`final Axis[]`
`getOrthogonalAxes(Axis axBase, boolean bIncludePrimary)`
This method returns all (primary and overlay) orthogonal axes for a given base axis If the primary orthogonal is requested for, it would be returned as the first element in the array NOTE: Manually written
`final Axis[]`
`getPrimaryBaseAxes()`
This method returns all primary base axes associated with the chart model NOTE: Manually written
`final Axis`
`getPrimaryOrthogonalAxis(Axis axBase)`
This method returns the primary orthogonal axis for a given base axis NOTE: Manually written
`Rotation3D`
`getRotation()`
`final Series[]`
`getSeries(int iBaseOrOrthogonal)`
This method needs to be called after the chart has been populated with runtime datasets and runtime series have been associated with each of the series definitions.
`double`
`getUnitSpacing()`
`Fill`
`getWallFill()`
`boolean`
`isReverseCategory()`
`boolean`
`isSetOrientation()`
`boolean`
`isSetReverseCategory()`
`boolean`
`isSetStudyLayout()`
`boolean`
`isSetUnitSpacing()`
`boolean`
`isStudyLayout()`
`final boolean`
`isTransposed()`
A convenience method used to determine if the plot is transposed or not.
`void`
`setFloorFill(Fill newFloorFill)`
`void`
`setOrientation(Orientation newOrientation)`
`void`
`setReverseCategory(boolean newReverseCategory)`
`void`
`setRotation(Rotation3D newRotation)`
`void`
`setStudyLayout(boolean newStudyLayout)`
`void`
`setTransposed(boolean bTransposed)`
A convenience method used to specify if the plot is transposed or not.
`void`
`setUnitSpacing(double newUnitSpacing)`
`void`
`setWallFill(Fill newWallFill)`
`String`
`toString()`
`void`
`unsetOrientation()`
`void`
`unsetReverseCategory()`
`void`
`unsetStudyLayout()`
`void`
`unsetUnitSpacing()`

### Methods inherited from class org.eclipse.birt.chart.model.impl.ChartImpl

`basicSetBlock, basicSetDescription, basicSetEmptyMessage, basicSetInteractivity, basicSetSampleData, createSampleRuntimeSeries, getBlock, getDescription, getDimension, getEmptyMessage, getExtendedProperties, getGridColumnCount, getInteractivity, getLegend, getPlot, getSampleData, getScript, getSeriesForLegend, getSeriesThickness, getStyles, getSubType, getTitle, getType, getUnits, getVersion, isSetDimension, isSetGridColumnCount, isSetSeriesThickness, isSetVersion, setBlock, setDescription, setDimension, setEmptyMessage, setGridColumnCount, setInteractivity, setSampleData, setScript, setSeriesThickness, setSubType, setType, setUnits, setVersion, unsetDimension, unsetGridColumnCount, unsetSeriesThickness, unsetVersion`

### Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eIsProxy, eSetClass, eSetDeliver, eSetProxyURI`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eURIFragmentSegment, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eNotificationRequired, eNotify`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.birt.chart.model.Chart

`createSampleRuntimeSeries, getBlock, getDescription, getDimension, getEmptyMessage, getExtendedProperties, getGridColumnCount, getInteractivity, getLegend, getPlot, getSampleData, getScript, getSeriesForLegend, getSeriesThickness, getStyles, getSubType, getTitle, getType, getUnits, getVersion, isSetDimension, isSetGridColumnCount, isSetSeriesThickness, isSetVersion, setBlock, setDescription, setDimension, setEmptyMessage, setGridColumnCount, setInteractivity, setSampleData, setScript, setSeriesThickness, setSubType, setType, setUnits, setVersion, unsetDimension, unsetGridColumnCount, unsetSeriesThickness, unsetVersion`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eNotificationRequired`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Method Details

### getAxes

public org.eclipse.emf.common.util.EList<Axis> getAxes()

Specified by:
  `getAxes` in interface `ChartWithAxes`
Returns:
  the value of the 'Axes' containment reference list.
See Also:
  - `ModelPackage.getChartWithAxes_Axes()`

### getWallFill

public Fill getWallFill()

Specified by:
  `getWallFill` in interface `ChartWithAxes`
Returns:
  the value of the 'Wall Fill' containment reference.
See Also:
  - `ChartWithAxes.setWallFill(Fill)`
  - `ModelPackage.getChartWithAxes_WallFill()`

### basicSetWallFill

public org.eclipse.emf.common.notify.NotificationChain basicSetWallFill(Fill newWallFill, org.eclipse.emf.common.notify.NotificationChain msgs)

### setWallFill

public void setWallFill(Fill newWallFill)

Specified by:
  `setWallFill` in interface `ChartWithAxes`
Parameters:
  `newWallFill` - the new value of the 'Wall Fill' containment reference.
See Also:
  - `ChartWithAxes.getWallFill()`

### getFloorFill

public Fill getFloorFill()

Specified by:
  `getFloorFill` in interface `ChartWithAxes`
Returns:
  the value of the 'Floor Fill' containment reference.
See Also:
  - `ChartWithAxes.setFloorFill(Fill)`
  - `ModelPackage.getChartWithAxes_FloorFill()`

### basicSetFloorFill

public org.eclipse.emf.common.notify.NotificationChain basicSetFloorFill(Fill newFloorFill, org.eclipse.emf.common.notify.NotificationChain msgs)

### setFloorFill

public void setFloorFill(Fill newFloorFill)

Specified by:
  `setFloorFill` in interface `ChartWithAxes`
Parameters:
  `newFloorFill` - the new value of the 'Floor Fill' containment reference.
See Also:
  - `ChartWithAxes.getFloorFill()`

### getOrientation

public Orientation getOrientation()

Specified by:
  `getOrientation` in interface `ChartWithAxes`
Returns:
  the value of the 'Orientation' attribute.
See Also:
  - `Orientation`
  - `ChartWithAxes.isSetOrientation()`
  - `ChartWithAxes.unsetOrientation()`
  - `ChartWithAxes.setOrientation(Orientation)`
  - `ModelPackage.getChartWithAxes_Orientation()`

### setOrientation

public void setOrientation(Orientation newOrientation)

Specified by:
  `setOrientation` in interface `ChartWithAxes`
Parameters:
  `newOrientation` - the new value of the 'Orientation' attribute.
See Also:
  - `Orientation`
  - `ChartWithAxes.isSetOrientation()`
  - `ChartWithAxes.unsetOrientation()`
  - `ChartWithAxes.getOrientation()`

### unsetOrientation

public void unsetOrientation()

Specified by:
  `unsetOrientation` in interface `ChartWithAxes`
See Also:
  - `ChartWithAxes.isSetOrientation()`
  - `ChartWithAxes.getOrientation()`
  - `ChartWithAxes.setOrientation(Orientation)`

### isSetOrientation

public boolean isSetOrientation()

Specified by:
  `isSetOrientation` in interface `ChartWithAxes`
Returns:
  whether the value of the 'Orientation' attribute is set.
See Also:
  - `ChartWithAxes.unsetOrientation()`
  - `ChartWithAxes.getOrientation()`
  - `ChartWithAxes.setOrientation(Orientation)`

### getUnitSpacing

public double getUnitSpacing()

Specified by:
  `getUnitSpacing` in interface `ChartWithAxes`
Returns:
  the value of the 'Unit Spacing' attribute.
See Also:
  - `ChartWithAxes.isSetUnitSpacing()`
  - `ChartWithAxes.unsetUnitSpacing()`
  - `ChartWithAxes.setUnitSpacing(double)`
  - `ModelPackage.getChartWithAxes_UnitSpacing()`

### setUnitSpacing

public void setUnitSpacing(double newUnitSpacing)

Specified by:
  `setUnitSpacing` in interface `ChartWithAxes`
Parameters:
  `newUnitSpacing` - the new value of the 'Unit Spacing' attribute.
See Also:
  - `ChartWithAxes.isSetUnitSpacing()`
  - `ChartWithAxes.unsetUnitSpacing()`
  - `ChartWithAxes.getUnitSpacing()`

### unsetUnitSpacing

public void unsetUnitSpacing()

Specified by:
  `unsetUnitSpacing` in interface `ChartWithAxes`
See Also:
  - `ChartWithAxes.isSetUnitSpacing()`
  - `ChartWithAxes.getUnitSpacing()`
  - `ChartWithAxes.setUnitSpacing(double)`

### isSetUnitSpacing

public boolean isSetUnitSpacing()

Specified by:
  `isSetUnitSpacing` in interface `ChartWithAxes`
Returns:
  whether the value of the 'Unit Spacing' attribute is set.
See Also:
  - `ChartWithAxes.unsetUnitSpacing()`
  - `ChartWithAxes.getUnitSpacing()`
  - `ChartWithAxes.setUnitSpacing(double)`

### getRotation

public Rotation3D getRotation()

Specified by:
  `getRotation` in interface `ChartWithAxes`
Returns:
  the value of the 'Rotation' containment reference.
See Also:
  - `ChartWithAxes.setRotation(Rotation3D)`
  - `ModelPackage.getChartWithAxes_Rotation()`

### basicSetRotation

public org.eclipse.emf.common.notify.NotificationChain basicSetRotation(Rotation3D newRotation, org.eclipse.emf.common.notify.NotificationChain msgs)

### setRotation

public void setRotation(Rotation3D newRotation)

Specified by:
  `setRotation` in interface `ChartWithAxes`
Parameters:
  `newRotation` - the new value of the 'Rotation' containment reference.
See Also:
  - `ChartWithAxes.getRotation()`

### isReverseCategory

public boolean isReverseCategory()

Specified by:
  `isReverseCategory` in interface `ChartWithAxes`
Returns:
  the value of the 'Reverse Category' attribute.
See Also:
  - `ChartWithAxes.isSetReverseCategory()`
  - `ChartWithAxes.unsetReverseCategory()`
  - `ChartWithAxes.setReverseCategory(boolean)`
  - `ModelPackage.getChartWithAxes_ReverseCategory()`

### setReverseCategory

public void setReverseCategory(boolean newReverseCategory)

Specified by:
  `setReverseCategory` in interface `ChartWithAxes`
Parameters:
  `newReverseCategory` - the new value of the 'Reverse Category' attribute.
See Also:
  - `ChartWithAxes.isSetReverseCategory()`
  - `ChartWithAxes.unsetReverseCategory()`
  - `ChartWithAxes.isReverseCategory()`

### unsetReverseCategory

public void unsetReverseCategory()

Specified by:
  `unsetReverseCategory` in interface `ChartWithAxes`
See Also:
  - `ChartWithAxes.isSetReverseCategory()`
  - `ChartWithAxes.isReverseCategory()`
  - `ChartWithAxes.setReverseCategory(boolean)`

### isSetReverseCategory

public boolean isSetReverseCategory()

Specified by:
  `isSetReverseCategory` in interface `ChartWithAxes`
Returns:
  whether the value of the 'Reverse Category' attribute is set.
See Also:
  - `ChartWithAxes.unsetReverseCategory()`
  - `ChartWithAxes.isReverseCategory()`
  - `ChartWithAxes.setReverseCategory(boolean)`

### isStudyLayout

public boolean isStudyLayout()

Specified by:
  `isStudyLayout` in interface `ChartWithAxes`
Returns:
  the value of the 'Study Layout' attribute.
See Also:
  - `ChartWithAxes.isSetStudyLayout()`
  - `ChartWithAxes.unsetStudyLayout()`
  - `ChartWithAxes.setStudyLayout(boolean)`
  - `ModelPackage.getChartWithAxes_StudyLayout()`

### setStudyLayout

public void setStudyLayout(boolean newStudyLayout)

Specified by:
  `setStudyLayout` in interface `ChartWithAxes`
Parameters:
  `newStudyLayout` - the new value of the 'Study Layout' attribute.
See Also:
  - `ChartWithAxes.isSetStudyLayout()`
  - `ChartWithAxes.unsetStudyLayout()`
  - `ChartWithAxes.isStudyLayout()`

### unsetStudyLayout

public void unsetStudyLayout()

Specified by:
  `unsetStudyLayout` in interface `ChartWithAxes`
See Also:
  - `ChartWithAxes.isSetStudyLayout()`
  - `ChartWithAxes.isStudyLayout()`
  - `ChartWithAxes.setStudyLayout(boolean)`

### isSetStudyLayout

public boolean isSetStudyLayout()

Specified by:
  `isSetStudyLayout` in interface `ChartWithAxes`
Returns:
  whether the value of the 'Study Layout' attribute is set.
See Also:
  - `ChartWithAxes.unsetStudyLayout()`
  - `ChartWithAxes.isStudyLayout()`
  - `ChartWithAxes.setStudyLayout(boolean)`

### eInverseRemove

public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)

Overrides:
  `eInverseRemove` in class `ChartImpl`

### eGet

public Object eGet(int featureID, boolean resolve, boolean coreType)

Specified by:
  `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eGet` in class `ChartImpl`

### eSet

public void eSet(int featureID, Object newValue)

Specified by:
  `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eSet` in class `ChartImpl`

### eUnset

public void eUnset(int featureID)

Specified by:
  `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eUnset` in class `ChartImpl`

### eIsSet

public boolean eIsSet(int featureID)

Specified by:
  `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eIsSet` in class `ChartImpl`

### toString

public String toString()

Overrides:
  `toString` in class `ChartImpl`

### getBaseAxes

public final Axis[] getBaseAxes()
This method returns all base axes associated with the chart model NOTE: Manually written

Specified by:
  `getBaseAxes` in interface `ChartWithAxes`
Returns:
  Axis array

### getPrimaryBaseAxes

public final Axis[] getPrimaryBaseAxes()
This method returns all primary base axes associated with the chart model NOTE: Manually written

Specified by:
  `getPrimaryBaseAxes` in interface `ChartWithAxes`
Returns:
  Axis array

### getOrthogonalAxes

public final Axis[] getOrthogonalAxes(Axis axBase, boolean bIncludePrimary)
This method returns all (primary and overlay) orthogonal axes for a given base axis If the primary orthogonal is requested for, it would be returned as the first element in the array NOTE: Manually written

Specified by:
  `getOrthogonalAxes` in interface `ChartWithAxes`
Parameters:
  `axBase` -
Returns:
  Axis array

### getPrimaryOrthogonalAxis

public final Axis getPrimaryOrthogonalAxis(Axis axBase)
This method returns the primary orthogonal axis for a given base axis NOTE: Manually written

Specified by:
  `getPrimaryOrthogonalAxis` in interface `ChartWithAxes`
Parameters:
  `axBase` -
Returns:
  primary orthongal axis

### getAncillaryBaseAxis

public Axis getAncillaryBaseAxis(Axis axBase)
Description copied from interface: `ChartWithAxes`
This method returns the ancillary base axis for a given base axis NOTE: Manually written

Specified by:
  `getAncillaryBaseAxis` in interface `ChartWithAxes`
Parameters:
  `axBase` -
Returns:

### create

public static final ChartWithAxes create()
A convenience method to create an initialized 'ChartWithAxes' instance Note: Manually written

Returns:
  chart model

### createDefault

public static final ChartWithAxes createDefault()
A convenience method to create an initialized 'ChartWithAxes' instance Note: Manually written

Returns:
  chart model

### getSeries

public final Series[] getSeries(int iBaseOrOrthogonal)
This method needs to be called after the chart has been populated with runtime datasets and runtime series have been associated with each of the series definitions.

Specified by:
  `getSeries` in interface `ChartWithAxes`
Parameters:
  `iBaseOrOrthogonal` -
Returns:
  All series associated with the specified axis types

### isTransposed

public final boolean isTransposed()
Description copied from interface: `ChartWithAxes`
A convenience method used to determine if the plot is transposed or not. For an orthogonal set of axes, this is determined by evaluating the 'Orientation' property. If (orientation == HORIZONTAL), the chart is transposed. NOTE: Manually written

Specified by:
  `isTransposed` in interface `ChartWithAxes`
Returns:
  A boolean indicating if the chart is transposed or not

### setTransposed

public void setTransposed(boolean bTransposed)
Description copied from interface: `ChartWithAxes`
A convenience method used to specify if the plot is transposed or not. For an orthogonal set of axes, this is determined by internally setting the 'Orientation' property. If (orientation == HORIZONTAL), the chart is transposed. NOTE: Manually written

Specified by:
  `setTransposed` in interface `ChartWithAxes`

### clearSections

public final void clearSections(int iSectionType)
Description copied from interface: `Chart`
This method walks through the model and clears specific model sections that are not required at deployment time.

Specified by:
  `clearSections` in interface `Chart`
Overrides:
  `clearSections` in class `ChartImpl`
Parameters:
  `iSectionType` - Possible values are IConstants.RUN_TIME and IConstants.USER_INTERFACE

### copyInstance

public ChartWithAxes copyInstance()

Specified by:
  `copyInstance` in interface `Chart`
Specified by:
  `copyInstance` in interface `ChartWithAxes`
Specified by:
  `copyInstance` in interface `IChartObject`
Overrides:
  `copyInstance` in class `ChartImpl`